Change log for libconfig-model-openssh-perl package in Ubuntu

123 of 23 results
Published in hirsute-release on 2020-10-23
Published in groovy-release on 2020-04-24
Published in focal-release on 2019-10-18
Published in eoan-release on 2019-09-10
Deleted in eoan-proposed (Reason: moved to release)
libconfig-model-openssh-perl (2.8.0.1-1) unstable; urgency=medium

  * New upstream version 2.8.0.1
     * Add support for OpenSsh 8.0
     * New version number scheme: v<major>.<OpenSsh version>.<minor>.
    Under the hood, the major change of this release is the way Ssh and
    Sshd model are updated. It used to be a manual work (which explains
    why only OpenSsh 6.4 parameters were supported). Now ssh models are
    generated from ssh_config and sshd_config manuel pages. All
    parameters from OpenSsh 8.0 are supported and obsolete parameters
    are silently dropped or migrated to new parameters.
  * control:
    * depends on libconfig-model-perl >= 2.134
    * depends on libconfig-model-tester-perl >= 4.001
    * declare compliance with policy 4.4.0
    * add BD-I on libtest-pod-perl
  * use new compat dependency (cme)
  * remove add-debian-param patch (supported upstream)
  * removed obsolete demo files (removed upstream)

 -- Dominique Dumont <email address hidden>  Mon, 09 Sep 2019 14:03:05 +0200

Available diffs

Superseded in eoan-release on 2019-09-10
Obsolete in disco-release on 2020-07-14
Deleted in disco-proposed on 2020-07-14 (Reason: moved to release)
libconfig-model-openssh-perl (1.241-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Dominique Dumont ]
  * New upstream version 1.241
    * Fix behavior of 'cme -force' so user can load ssh config files
      containing errors.
    * Model update: PortForward parameter: port must be alphanumeric
  * control: depends on libconfig-model-perl >= 2.128
  * control: declare compliance with version 4.2.1

 -- Dominique Dumont <email address hidden>  Sun, 09 Dec 2018 19:41:00 +0100

Available diffs

Superseded in disco-release on 2018-12-10
Obsolete in cosmic-release on 2020-07-13
Deleted in cosmic-proposed on 2020-07-13 (Reason: moved to release)
libconfig-model-openssh-perl (1.239-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Dominique Dumont ]
  * New upstream version 1.239
    * OpenSsh backend: fix backend (broke with Config::Model 2.123,
      Sorry about the mess).
    * added t/README.md
    * remove deprecated suffix method
  * control:
    * declare comliance with Policy 4.1.4
    * depends on libconfig-model-perl >= 2.123
    * BD-I on libconfig-model-tester-perl >= 3.006
    *  update Vcs-Browser and Vcs-Git
  * remove test-failure.patch (obsolete)

 -- Dominique Dumont <email address hidden>  Wed, 09 May 2018 10:10:38 +0200

Available diffs

Superseded in cosmic-release on 2018-06-27
Published in bionic-release on 2017-11-13
Deleted in bionic-proposed (Reason: moved to release)
libconfig-model-openssh-perl (1.238-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.
  * debian/upstream/metadata: use HTTPS for GitHub URLs.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Jotam Jr. Trejo from Uploaders. Thanks for your work!

  [ Dominique Dumont ]
  * New upstream version 1.238
    * udpated models to use new rw_config parameter
    * update Ciphers parameter
    * UseLogin parameter is deprecated
  * control: depends on libconfig-model-perl >= 2.111
  * control: declare compliance with policy 4.1.1

 -- Dominique Dumont <email address hidden>  Tue, 10 Oct 2017 12:41:34 +0200

Available diffs

Superseded in bionic-release on 2017-11-13
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-03-31
Deleted in xenial-proposed (Reason: moved to release)
libconfig-model-openssh-perl (1.237-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Dominique Dumont ]
  * Imported Upstream version 1.237
  * control:
    - removed build dep on perl-tk
    + added depends on cme
    * updated std-version to 3.9.7
    * minor description update
  * copyright: updated years

 -- Dominique Dumont <email address hidden>  Mon, 07 Mar 2016 19:59:42 +0100

Available diffs

Superseded in xenial-release on 2016-03-31
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
libconfig-model-openssh-perl (1.236-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata
  * Declare compliance with Debian Policy 3.9.6.
  * Add build dependency on libmodule-build-perl.
  * Mark package as autopkgtest-able.
  * Update years of packaging copyright.

 -- gregor herrmann <email address hidden>  Fri, 05 Jun 2015 15:26:47 +0200

Available diffs

Superseded in wily-release on 2015-06-06
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
libconfig-model-openssh-perl (1.236-1) unstable; urgency=medium


  * Imported Upstream version 1.236
    * removed experience parameters from OpenSsh model
    * warn and propose a fix when public key is used as
      IdendityFile
  - control: removed BD on libanyevent and libev-perl

 -- Dominique Dumont <email address hidden>  Fri, 23 May 2014 13:28:37 +0200

Available diffs

Superseded in utopic-release on 2014-05-23
Deleted in utopic-proposed on 2014-05-25 (Reason: moved to release)
libconfig-model-openssh-perl (1.235-1) unstable; urgency=medium


  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Dominique Dumont ]
  * Imported Upstream version 1.235:
    * Ssh backends: send a clear error message when unknown
      parameters are found
    * Ssh: added deprecated UseRSh and FallBackToRsh
    * Ssh::GSSAPI* params: set upstream_default to 0 (instead of default)
    * fixed typo in Sshd::MatchCondition  description (tx gregoa)
  * control: depends on libconfig-model-perl 2.050

 -- Dominique Dumont <email address hidden>  Sat, 05 Apr 2014 11:56:16 +0200

Available diffs

Superseded in utopic-release on 2014-04-26
Published in trusty-release on 2013-12-29
Deleted in trusty-proposed (Reason: moved to release)
libconfig-model-openssh-perl (1.232-1) unstable; urgency=medium


  * Imported Upstream version 1.232
    + Added parameters supported by OpenSsh 6.4
    * fixed typo in Sshd::MatchCondition description (tx gregoa)
  * compat: bumped to 9
  * control: bumped std-version to 3.9.5
  * control: refreshed dependencies
  + added patch to add support for sshd_config Debian specific parameter
  - removed spelling.patch (applied upstream)

 -- Dominique Dumont <email address hidden>  Sun, 29 Dec 2013 17:07:17 +0100

Available diffs

Superseded in trusty-release on 2013-12-29
Deleted in trusty-proposed on 2013-12-31 (Reason: moved to release)
libconfig-model-openssh-perl (1.230-1) unstable; urgency=low


  * New upstream release 1.228.
  * Update (build) dependencies.
  * Update years of packaging copyright and license stanza.
  * Drop patch, applied upstream.
  * Add debian/NEWS with interesting interface changes.
  * Build depend on Config::Model::Tester. (Closes: #720788)
  * Add patch test-failure.patch. Fix test failure caused by undefined
    variable.
  * Add patch to fix a spelling mistake.

  * New upstream release 1.230.
  * Update (build) dependencies.

 -- gregor herrmann <email address hidden>  Sat, 31 Aug 2013 15:19:58 +0200

Available diffs

Superseded in trusty-release on 2013-10-25
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
libconfig-model-openssh-perl (1.227-1) unstable; urgency=low


  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Dominique Dumont ]
  * Imported Upstream version 1.227:
    * Removed Augeas backend (no longer needed, comments are handled
      by Config::Model::Backend::OpenSsh)
    * Replaced Any::Moose with Mouse.
  * control:
    * updated std-version
    * added enhances openssh-client openssh-server
    * updated description
    * depends on libmouse-perl instead of libany-moose-perl
    * depends on libconfig-model-perl ( >= 2.034)
  * copyright: updated years

 -- Dominique Dumont <email address hidden>  Sat, 04 May 2013 21:11:02 +0200

Available diffs

Superseded in saucy-release on 2013-05-05
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
libconfig-model-openssh-perl (1.225-1) unstable; urgency=low


  * New upstream version (Doc and demo fix release)
    * updated demos to use cme instead of deprecated config-edit
    * likewise, clean up pod doc to use cme command
    * removed non utf-8 char from ssh doc (Fix RT 79077)
  * removed README and TODO: no new information compared to man pages

 -- Dominique Dumont <email address hidden>  Mon, 29 Oct 2012 13:47:07 +0100

Available diffs

Superseded in raring-release on 2012-10-29
Obsolete in quantal-release on 2015-04-24
libconfig-model-openssh-perl (1.224-1) unstable; urgency=low


  * new upstream release
    * Backend: make sure that AuthorizedKeysFile items are
      written on a single line.

 -- Dominique Dumont <email address hidden>  Tue, 22 May 2012 16:27:03 +0200

Available diffs

Superseded in quantal-release on 2012-05-24
libconfig-model-openssh-perl (1.221-1) unstable; urgency=low


  * New Upstream version:
    * Ssh model: ControlMaster also supports auto keyword (thanks to
      harleypig and Daniel Dehennin, Closes: #670319)
  * control: updated standard-version (no other changes)
  * copyright: updated format url

 -- Dominique Dumont <email address hidden>  Mon, 30 Apr 2012 09:53:13 +0200

Available diffs

Superseded in quantal-release on 2012-05-11
Published in precise-release on 2012-03-11
libconfig-model-openssh-perl (1.220-1) unstable; urgency=low


  * Imported Upstream version 1.220:
    * Fix FTBS test (Closes: #660371)
  * control: BDI on libconfig-model-perl >= 2.004 (since only the tests
    use the new method call, a similar BD is not required)
  * copyright: updated (c) years and my email address
  * source compat: bumped to 8 (no other changes)

 -- Dominique Dumont <email address hidden>  Tue, 21 Feb 2012 11:58:22 +0100

Available diffs

Superseded in precise-release on 2012-03-11
libconfig-model-openssh-perl (1.219-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Dominique Dumont ]
  * Imported Upstream version 1.219
    * Ssh model: do not warp LocalForward with GatewayPorts.
      They are independent
    * Ssh backend: store root config in layered data instead of
      preset data (also fix RT#72916)
  * control: depends on libconfig-model-perl 1.265
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  18 Dec 2011 22:34:01 +0000

Available diffs

Superseded in precise-release on 2011-12-18
Obsolete in oneiric-release on 2015-04-24
libconfig-model-openssh-perl (1.218-1) unstable; urgency=low
  * New upstream release: Fix bug that tried to open a file in /etc    when saving ssh config as a regular user.  * control: updated my email address -- Dominique Dumont <email address hidden>  Sat, 23 Jul 2011 19:12:59 +0200
Superseded in oneiric-release on 2011-07-27
libconfig-model-openssh-perl (1.217-1) unstable; urgency=low

  * New upstream release
    - fix bug to avoid keyword without value lines
  * control: added BDI on libtest-differences-perl
 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  18 May 2011 08:51:21 +0000

Available diffs

Superseded in oneiric-release on 2011-05-18
libconfig-model-openssh-perl (1.216-1) unstable; urgency=low

  [ Jotam Jr. Trejo ]
  * New upstream release 1.215
  * debian/control: update Config::Model dependency to require
    1.236 version
  * debian/control: bump Standards Version to 3.9.2 no changes needed
  * Add  myself to Uploaders and Copyright

  [ gregor herrmann ]
  * New upstream release 1.216.
  * Install scripts in demo/ as examples instead of as docs.
  * debian/control: explicitly (build) depend on libany-moose-perl.
  * Add a patch to fix a tiny spelling mistake.

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
libconfig-model-openssh-perl (1.210-1) unstable; urgency=low

  * New upstream release

Available diffs

Superseded in lucid-release on 2010-02-08
libconfig-model-openssh-perl (1.208-1) unstable; urgency=low

  [ Dominique Dumont ]
  * New upstream release (minor model changes for Tk config wizard)
  * control: updated Standard-Version to 3.8.3

  [ gregor herrmann ]
  * Minimize debian/rules.

Available diffs

Superseded in lucid-release on 2009-11-05
Obsolete in karmic-release on 2013-03-04
libconfig-model-openssh-perl (1.205-2) unstable; urgency=low

  * (Build) depend on libconfig-model-backend-augeas-perl >= 0.107
    (closes: #531233).

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  04 Jun 2009 05:47:56 +0100

Available diffs

Superseded in karmic-release on 2009-06-04
libconfig-model-openssh-perl (1.205-1) unstable; urgency=low

  * New upstream release:
    - small bug fix that breaks with libconfig-model-perl 0.635
  * control: change Standards-Version: 3.8.1
  

123 of 23 results